Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000294Testlink 1.6.xTest Executepublic2005-12-12 22:102005-12-17 04:46
Reporterjbarchibald 
Assigned Tomhavlat 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version 
Summary0000294: Keywords do not increment the version number.
Descriptionwe have found that when modifying keywords using the assign keywords option, this does not increment the version number.

the issue we have with this is when someone uses the 'assign Keywords' functionality, there is no way to update those testcases already assigned to a test plan, Becasue we have no way of knowing the test case has changed.

I attached a zip of my kywords.inc.php with the changes I made to resolve the issue.
Additional InformationI just updated the addTCKeyword function in keywords.inc.php

Just need to grab the original version in the select that is already there, and increment it by 1.

change the update sql to be
"UPDATE mgttestcase SET keywords='".$TCKeys."', version=". $version ." WHERE id=". $tcID;

Although the cool solution would be to update the planUpdateTC methods and actually tell the user, the reason for the update is because the keywords have changed.

TagsNo tags attached.
Attached Fileszip file icon keywords.inc.zip [^] (2,896 bytes) 2005-12-12 22:10

- Relationships

-  Notes
(0000492)
fman (administrator)
2005-12-12 22:36
edited on: 2005-12-12 22:38

In 1.7 the test case link to test plan will be re-enginneered, and this
kind of problem will not present.
I don't like the solution to increase TC version number, because really
the TC has not changed.

A better solution is possible is to check for differences in keywords.

Please test 1.6 (released today) for future tests and assign this as version number not CVS if possible

(0000493)
jbarchibald
2005-12-12 22:39

I agree totally.. but I had some individuals really on my case to make it work.. and this was the quickest with the fewest code changes to just "Make it work"

I will research a better solution to check for keyword changes.
(0000494)
fman (administrator)
2005-12-13 10:25

what about automatically update TC keywords in Test Plan, with TC Spec. Keywords
without asking user ?
(0000500)
mhavlat (reporter)
2005-12-16 23:17

There was this request before. I think that I added that keywords are updated also in Test Plan. It should work in 1.6.0.
Suggested to reject.
(0000503)
jbarchibald
2005-12-17 01:59

If the keywords are supposed to update in the test plan then it is broke.
It currently does not do this in 1.6
 
You can reject this bug, and I'll enter a new one specifically for the bug if this is how it is supposed to work.
(0000504)
mhavlat (reporter)
2005-12-17 04:46

Opps, my mistake. I fix it only for 1.5.1. :-( Thank you guys.
Well, now it should be fixed for both main and 1.6.1

- Issue History
Date Modified Username Field Change
2005-12-12 22:10 jbarchibald New Issue
2005-12-12 22:10 jbarchibald File Added: keywords.inc.zip
2005-12-12 22:36 fman Note Added: 0000492
2005-12-12 22:38 fman Note Edited: 0000492
2005-12-12 22:39 jbarchibald Note Added: 0000493
2005-12-13 10:25 fman Note Added: 0000494
2005-12-16 23:17 mhavlat Note Added: 0000500
2005-12-17 01:59 jbarchibald Note Added: 0000503
2005-12-17 04:46 mhavlat Status new => resolved
2005-12-17 04:46 mhavlat Fixed in Version => next release
2005-12-17 04:46 mhavlat Resolution open => fixed
2005-12-17 04:46 mhavlat Assigned To => mhavlat
2005-12-17 04:46 mhavlat Note Added: 0000504



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker